Debian Bug report logs - #612946
k3b: Still needs HAL, althought HAL dependency is dropped

version graph

Package: k3b; Maintainer for k3b is Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>; Source for k3b is src:k3b.

Reported by: Mirosław Zalewski <miniopl@gmail.com>

Date: Fri, 11 Feb 2011 20:33:05 UTC

Severity: important

Found in version k3b/2.0.2-1

Done: Fathi Boudra <fabo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, k3b-user@lists.sourceforge.net, Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>:
Bug#612946; Package k3b. (Fri, 11 Feb 2011 20:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mirosław Zalewski <miniopl@gmail.com>:
New Bug report received and forwarded. Copy sent to k3b-user@lists.sourceforge.net, Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>. (Fri, 11 Feb 2011 20:33:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mirosław Zalewski <miniopl@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: k3b: Still needs HAL, althought HAL dependency is dropped
Date: Fri, 11 Feb 2011 21:29:04 +0100
Package: k3b
Version: 2.0.2-1
Severity: important

Newest k3b (2.0.2-1) is supposed to drop HAL dependency, or at least
changelog says so.

But after running k3b, I get following error dialog:

"No optical drive found.
K3b did not find any optical device in your system.
Solution: Make sure HAL daemon is running, it is used by K3b for
finding devices."

#v+
$ k3b
K3bQProcess::QProcess(0x0)
QStringList Solid::Backends::Hal::HalManager::findDeviceByDeviceInterface(const Solid::DeviceInterface::Type&)  error:  "org.freedesktop.DBus.Error.ServiceUnknown" 

K3bQProcess::QProcess(0x0)
k3b(27805)/kdeui (kdelibs): Attempt to use QAction "view_projects" with KXMLGUIFactory! 
k3b(27805)/kdeui (kdelibs): Attempt to use QAction "view_dir_tree" with KXMLGUIFactory! 
k3b(27805)/kdeui (kdelibs): Attempt to use QAction "view_contents" with KXMLGUIFactory! 
k3b(27805)/kdeui (kdelibs): Attempt to use QAction "location_bar" with KXMLGUIFactory! 
QStringList Solid::Backends::Hal::HalManager::findDeviceByDeviceInterface(const Solid::DeviceInterface::Type&)  error:  "org.freedesktop.DBus.Error.ServiceUnknown" 

QStringList Solid::Backends::Hal::HalManager::findDeviceByDeviceInterface(const Solid::DeviceInterface::Type&)  error:  "org.freedesktop.DBus.Error.ServiceUnknown" 

QStringList Solid::Backends::Hal::HalManager::findDeviceByDeviceInterface(const Solid::DeviceInterface::Type&)  error:  "org.freedesktop.DBus.Error.ServiceUnknown" 

QStringList Solid::Backends::Hal::HalManager::findDeviceByDeviceInterface(const Solid::DeviceInterface::Type&)  error:  "org.freedesktop.DBus.Error.ServiceUnknown" 

QStringList Solid::Backends::Hal::HalManager::findDeviceByDeviceInterface(const Solid::DeviceInterface::Type&)  error:  "org.freedesktop.DBus.Error.ServiceUnknown" 

QStringList Solid::Backends::Hal::HalManager::findDeviceByDeviceInterface(const Solid::DeviceInterface::Type&)  error:  "org.freedesktop.DBus.Error.ServiceUnknown" 

QStringList Solid::Backends::Hal::HalManager::findDeviceByDeviceInterface(const Solid::DeviceInterface::Type&)  error:  "org.freedesktop.DBus.Error.ServiceUnknown" 

QStringList Solid::Backends::Hal::HalManager::findDeviceByDeviceInterface(const Solid::DeviceInterface::Type&)  error:  "org.freedesktop.DBus.Error.ServiceUnknown" 

k3b(27805)/kdecore (services) KMimeTypeFactory::parseMagic: Now parsing  "/usr/share/mime/magic"
QStringList Solid::Backends::Hal::HalManager::findDeviceByDeviceInterface(const Solid::DeviceInterface::Type&)  error:  "org.freedesktop.DBus.Error.ServiceUnknown" 

QStringList Solid::Backends::Hal::HalManager::findDeviceByDeviceInterface(const Solid::DeviceInterface::Type&)  error:  "org.freedesktop.DBus.Error.ServiceUnknown" 

QStringList Solid::Backends::Hal::HalManager::findDeviceByDeviceInterface(const Solid::DeviceInterface::Type&)  error:  "org.freedesktop.DBus.Error.ServiceUnknown" 

QStringList Solid::Backends::Hal::HalManager::findDeviceByDeviceInterface(const Solid::DeviceInterface::Type&)  error:  "org.freedesktop.DBus.Error.ServiceUnknown" 

QStringList Solid::Backends::Hal::HalManager::findDeviceByDeviceInterface(const Solid::DeviceInterface::Type&)  error:  "org.freedesktop.DBus.Error.ServiceUnknown" 

QStringList Solid::Backends::Hal::HalManager::findDeviceByDeviceInterface(const Solid::DeviceInterface::Type&)  error:  "org.freedesktop.DBus.Error.ServiceUnknown" 

QCoreApplication::postEvent: Unexpected null receiver
QStringList Solid::Backends::Hal::HalManager::findDeviceByDeviceInterface(const Solid::DeviceInterface::Type&)  error:  "org.freedesktop.DBus.Error.ServiceUnknown" 

QStringList Solid::Backends::Hal::HalManager::findDeviceByDeviceInterface(const Solid::DeviceInterface::Type&)  error:  "org.freedesktop.DBus.Error.ServiceUnknown" 

QStringList Solid::Backends::Hal::HalManager::findDeviceByDeviceInterface(const Solid::DeviceInterface::Type&)  error:  "org.freedesktop.DBus.Error.ServiceUnknown" 

QStringList Solid::Backends::Hal::HalManager::findDeviceByDeviceInterface(const Solid::DeviceInterface::Type&)  error:  "org.freedesktop.DBus.Error.ServiceUnknown" 

QStringList Solid::Backends::Hal::HalManager::findDeviceByDeviceInterface(const Solid::DeviceInterface::Type&)  error:  "org.freedesktop.DBus.Error.ServiceUnknown" 

QStringList Solid::Backends::Hal::HalManager::findDeviceByDeviceInterface(const Solid::DeviceInterface::Type&)  error:  "org.freedesktop.DBus.Error.ServiceUnknown" 

$ k3b -version
Qt: 4.6.3
KDE Development Platform: 4.4.5 (KDE 4.4.5)
K3b: 2.0.2
#v-

I have tried removing ~/.kde/ dir and running k3b, but there is no
change.

So either HAL is still needed to run k3b, or k3b depends on another
package, which isn't listed on dependency list.

Cheers,
Mirosław Zalewski

-- Package-specific info:
Device was not specified. Trying to find an appropriate drive...
Detected CD-R drive: /dev/cdrw
Using /dev/cdrom of unknown capabilities
Device type    : Removable CD-ROM
Version        : 5
Response Format: 2
Capabilities   : 
Vendor_info    : 'TSSTcorp'
Identification : 'CDDVDW TS-L633C '
Revision       : 'TF20'
Device seems to be: Generic mmc2 DVD-R/DVD-RW.
Using generic SCSI-3/mmc   CD-R/CD-RW driver (mmc_cdr).
Driver flags   : MMC-3 SWABAUDIO BURNFREE 
Supported modes: TAO PACKET SAO SAO/R96P SAO/R96R RAW/R16 RAW/R96P RAW/R96R

-- System Information:
Debian Release: 6.0
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.36-0.dmz.15-liquorix-amd64 (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=pl_PL.UTF-8, LC_CTYPE=pl_PL.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to pl_PL.UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages k3b depends on:
ii  cdparanoia              3.10.2+debian-10 audio extraction tool for sampling
ii  cdrdao                  1:1.2.3-0.1      records CDs in Disk-At-Once (DAO) 
ii  genisoimage             9:1.1.11-1       Creates ISO-9660 CD-ROM filesystem
ii  k3b-data                2.0.2-1          A sophisticated CD/DVD burning app
ii  kdebase-runtime         4:4.4.5-1        runtime components from the offici
ii  libc6                   2.11.2-10        Embedded GNU C Library: Shared lib
ii  libgcc1                 1:4.4.5-10       GCC support library
ii  libk3b6                 2.0.2-1          The KDE CD/DVD burning application
ii  libkcddb4               4:4.4.5-1        CDDB library for KDE Platform (run
ii  libkde3support4         4:4.4.5-3        the KDE 3 Support Library for the 
ii  libkdecore5             4:4.4.5-3        the KDE Platform Core Library
ii  libkdeui5               4:4.4.5-3        the KDE Platform User Interface Li
ii  libkfile4               4:4.4.5-3        the File Selection Dialog Library 
ii  libkio5                 4:4.4.5-3        the Network-enabled File Managemen
ii  libknotifyconfig4       4:4.4.5-3        library for configuring KDE Notifi
ii  libkparts4              4:4.4.5-3        the Framework for the KDE Platform
ii  libkutils4              4:4.4.5-3        various utility classes for the KD
ii  libmusicbrainz4c2a      2.1.5-4          Second generation incarnation of t
ii  libqt4-dbus             4:4.6.3-4        Qt 4 D-Bus module
ii  libqt4-network          4:4.6.3-4        Qt 4 network module
ii  libqt4-qt3support       4:4.6.3-4        Qt 3 compatibility library for Qt 
ii  libqt4-svg              4:4.6.3-4        Qt 4 SVG module
ii  libqt4-webkit           4:4.6.3-4        Qt 4 WebKit module
ii  libqt4-xml              4:4.6.3-4        Qt 4 XML module
ii  libqtcore4              4:4.6.3-4        Qt 4 core module
ii  libqtgui4               4:4.6.3-4        Qt 4 GUI module
ii  libsolid4               4:4.4.5-3        Solid Library for KDE Platform
ii  libstdc++6              4.4.5-10         The GNU Standard C++ Library v3
ii  wodim                   9:1.1.11-1       command line CD/DVD writing tool

Versions of packages k3b recommends:
ii  dvd+rw-tools                 7.1-9       DVD+-RW/R tools
ii  libk3b6-extracodecs          2.0.2-1     The KDE CD/DVD burning application
ii  vcdimager                    0.7.23-4+b2 A VideoCD (VCD) image mastering an

Versions of packages k3b suggests:
ii  k3b-extrathemes              2.0.2-1     A sophisticated CD/DVD burning app
ii  k3b-i18n                     2.0.2-1     A sophisticated CD/DVD burning app
pn  movixmaker-2                 <none>      (no description available)
ii  normalize-audio              0.7.7-7     adjusts the volume of WAV, MP3 and
ii  sox                          14.3.1-1+b1 Swiss army knife of sound processi

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>:
Bug#612946; Package k3b. (Sun, 10 Apr 2011 03:33:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mirosław Zalewski <miniopl@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>. (Sun, 10 Apr 2011 03:33:42 GMT) Full text and rfc822 format available.

Message #10 received at 612946@bugs.debian.org (full text, mbox):

From: Mirosław Zalewski <miniopl@gmail.com>
To: Debian Bug Tracking System <612946@bugs.debian.org>
Subject: Re: Still needs HAL, althought HAL dependency is dropped
Date: Sat, 09 Apr 2011 18:11:43 +0200
Package: k3b
Followup-For: Bug #612946

Just wanted to add that I am no longer able to reproduce it. Although I
don't have HAL runing, k3b starts and burns discs just fine.

This bug may be closed (I would do it myslef, but I can't find any
information how; maybe that is something only DD can do).

Cheers

-- Package-specific info:
Device was not specified. Trying to find an appropriate drive...
Detected CD-R drive: /dev/cdrw
Using /dev/cdrom of unknown capabilities
/usr/bin/wodim: Cannot load media with this drive!
/usr/bin/wodim: Try to load media by hand.
Device type    : Removable CD-ROM
Version        : 5
Response Format: 2
Capabilities   : 
Vendor_info    : 'TSSTcorp'
Identification : 'CDDVDW TS-L633C '
Revision       : 'TF20'
Device seems to be: Generic mmc2 DVD-R/DVD-RW.
Using generic SCSI-3/mmc   CD-R/CD-RW driver (mmc_cdr).
Driver flags   : MMC-3 SWABAUDIO BURNFREE 
Supported modes: TAO PACKET SAO SAO/R96P SAO/R96R RAW/R16 RAW/R96P RAW/R96R

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=pl_PL.UTF-8, LC_CTYPE=pl_PL.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to pl_PL.UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages k3b depends on:
ii  cdparanoia              3.10.2+debian-10 audio extraction tool for sampling
ii  cdrdao                  1:1.2.3-0.1      records CDs in Disk-At-Once (DAO) 
ii  genisoimage             9:1.1.11-1       Creates ISO-9660 CD-ROM filesystem
ii  k3b-data                2.0.2-1          A sophisticated CD/DVD burning app
ii  kdebase-runtime         4:4.4.5-1        runtime components from the offici
ii  libc6                   2.11.2-11        Embedded GNU C Library: Shared lib
ii  libgcc1                 1:4.5.2-4        GCC support library
ii  libk3b6                 2.0.2-1+b1       The KDE CD/DVD burning application
ii  libkcddb4               4:4.4.5-1        CDDB library for KDE Platform (run
ii  libkde3support4         4:4.4.5-3        the KDE 3 Support Library for the 
ii  libkdecore5             4:4.4.5-3        the KDE Platform Core Library
ii  libkdeui5               4:4.4.5-3        the KDE Platform User Interface Li
ii  libkfile4               4:4.4.5-3        the File Selection Dialog Library 
ii  libkio5                 4:4.4.5-3        the Network-enabled File Managemen
ii  libknotifyconfig4       4:4.4.5-3        library for configuring KDE Notifi
ii  libkparts4              4:4.4.5-3        the Framework for the KDE Platform
ii  libkutils4              4:4.4.5-3        various utility classes for the KD
ii  libmusicbrainz4c2a      2.1.5-5          Second generation incarnation of t
ii  libqt4-dbus             4:4.7.2-3        Qt 4 D-Bus module
ii  libqt4-network          4:4.7.2-3        Qt 4 network module
ii  libqt4-qt3support       4:4.7.2-3        Qt 3 compatibility library for Qt 
ii  libqt4-svg              4:4.7.2-3        Qt 4 SVG module
ii  libqt4-webkit           4:4.7.2-3        transitional package for Qt 4 WebK
ii  libqt4-xml              4:4.7.2-3        Qt 4 XML module
ii  libqtcore4              4:4.7.2-3        Qt 4 core module
ii  libqtgui4               4:4.7.2-3        Qt 4 GUI module
ii  libsolid4               4:4.4.5-3        Solid Library for KDE Platform
ii  libstdc++6              4.5.2-4          The GNU Standard C++ Library v3
ii  wodim                   9:1.1.11-1       command line CD/DVD writing tool

Versions of packages k3b recommends:
ii  dvd+rw-tools                 7.1-10      DVD+-RW/R tools
ii  libk3b6-extracodecs          2.0.2-1+b1  The KDE CD/DVD burning application
ii  vcdimager                    0.7.23-4+b2 A VideoCD (VCD) image mastering an

Versions of packages k3b suggests:
ii  k3b-extrathemes               2.0.2-1    A sophisticated CD/DVD burning app
ii  k3b-i18n                      2.0.2-1    A sophisticated CD/DVD burning app
pn  movixmaker-2                  <none>     (no description available)
ii  normalize-audio               0.7.7-7    adjusts the volume of WAV, MP3 and
ii  sox                           14.3.2-1   Swiss army knife of sound processi

-- no debconf information




Bug closed, send any further explanations to Mirosław Zalewski <miniopl@gmail.com> Request was from Fathi Boudra <fabo@debian.org> to control@bugs.debian.org. (Mon, 02 May 2011 07:45:03 GMT) Full text and rfc822 format available.

Message sent on to Mirosław Zalewski <miniopl@gmail.com>:
Bug#612946. (Mon, 02 May 2011 07:45:08 GMT) Full text and rfc822 format available.

Message #15 received at 612946-submitter@bugs.debian.org (full text, mbox):

From: Fathi Boudra <fabo@debian.org>
To: control@bugs.debian.org
Cc: 612946-submitter@bugs.debian.org
Subject: closing 612946
Date: Mon, 02 May 2011 10:42:37 +0300
close 612946 
thanks





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 31 May 2011 07:34:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:38:57 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.